;Simple script showing how to display a watermark in the background of each page. 

Procedure RotatedText(x.f,y.f,txt.s,angle.f)
  ;Text rotated around its origin
  pdf_Rotate(angle,x,y)
  pdf_Text(x,y,txt)
  pdf_Rotate(0)
EndProcedure

Procedure Header()
  ;Put watermark
  pdf_SetFont("Arial","B",50)
  pdf_SetTextColor(255,192,203)
  RotatedText(30,190,"Watermark demo",45)
EndProcedure

pdf_Create()
pdf_SetProcHeader(@Header())
pdf_AddPage()
pdf_SetFont("Arial","",12)
txt.s="PureBasic is a programming language based on established BASIC rules. The key features of PureBasic are portability "

txt = txt + "(Windows, AmigaOS and Linux are currently fully supported), the production of very fast and highly optimized executables "

txt = txt + "and, of course, the very simple BASIC syntax. PureBasic has been created for the beginner and expert alike. We have put "

txt = txt + "a lot of effort into its realization to produce a fast, reliable and system friendly language."

For i = 1 To 25 
  pdf_Write(5,txt) 
Next 
pdf_Save("Tutorial13.pdf")
; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 31
; Folding = -