;Same as tutorial 04, but using the PureZIP_W library to compress the pdf file

Global title.s
Global col.f
Global y0.f
title="20000 Leagues Under the Seas"

Procedure.b Compress(*aData.MEM_DataStructure)
  Protected zerr.b
  Protected CompMem.l
  Protected SourceLen.l
  Protected SourceMem.l
  Protected CompLen.l
  Protected lbError.b
  
  lbError = #False
  SourceLen = *aData\lCurSize
  SourceMem = *aData\pData 
  CompLen.l = (Int(SourceLen/8000)+1)*8000 + 16 
  CompMem=AllocateMemory(CompLen)
  If CompMem
    ;zerr=ZLIBCompress(CompMem, @CompLen, SourceMem, SourceLen)
    zerr=PureZIP_PackMemory(SourceMem, SourceLen, CompMem, @CompLen) ; Gnozals PureZip Library is needed !
    If zerr = #Z_OK
      *aData\pData = CompMem
      *aData\lMaxSize = CompLen
      *aData\lCurSize = CompLen
      FreeMemory(Sourcemem)
      lbError = #True 
    EndIf
  EndIf
  ProcedureReturn lbError  
EndProcedure

pdf_Create()
pdf_SetProcCompression(@Compress())

pdf_AddPage()

pdf_SetFont("Tahoma","",12)
pdf_Text(10,10,"ABCDEFGH1234567890")

pdf_SetFont("Tahoma","B",12)
pdf_Text(10,20,"ABCDEFGH1234567890")

pdf_SetFont("Tahoma","U",12)
pdf_Text(10,30,"ABCDEFGH1234567890")

pdf_SetFont("Tahoma","BU",12)
pdf_Text(10,40,"ABCDEFGH1234567890")

pdf_Save("Tutorial22.pdf")

; IDE Options = PureBasic v4.01 (Windows - x86)
; CursorPosition = 33
; Folding = -